Vous êtes ici:

Menu

Centreon et Debian wheezy, c'est possible !

debian
Centreon 2.4.4 n'est pas encore compatible avec la version PHP 5.4 ce qui rend théoriquement impossible son installation avec la distribution Debian Wheezy (actuellement à la version 7.1). J'ai tout de même essayé l'installation de Nagios, NDOutil et Centreon. Celle-ci s'est réalisée sans aucun souci, mais force de constater qu'au moment de la configuration cela se passait moins bien. Je ne pouvais créer aucun hôte et aucun service, la génération de trap ne renvoyait aucun message. Bref, la version de PHP 5.4 ne donnait pas satisfaction.
Mais je ne voulais pas rester sur un constat d'échec, et Google étant mon ami de longue date Happy j'ai découvert la solution grâce à cette page. En fait, il suffit d'indiquer au système Debian, avant l'installation des paquets php, de prendre la version 5.3 de Squeeze et non la version 5.4 de Wheezy.

Premièrement, modifier le fichier des dépôts apt : /etc/apt/sources.list

deb http://ftp.fr.debian.org/debian/ wheezy main non-free
deb-src http://ftp.fr.debian.org/debian/ wheezy main non-free

deb http://security.debian.org/ wheezy/updates main non-free
deb-src http://security.debian.org/ wheezy/updates main non-free

deb http://ftp.fr.debian.org/debian/ squeeze main non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main non-free

deb http://security.debian.org/ squeeze/updates main non-free
deb-src http://security.debian.org/ squeeze/updates main non-free


Deuxièmement, rajouter un fichier de préférences pour apt qui choisira le dépôt en fonction des paquets recherchés. rajouter le fichier
/etc/apt/preferences.d/preferences

Package: php5*
Pin: release a=oldstable
Pin-Priority: 700

Package: libapache2-mod-php5
Pin: release a=oldstable
Pin-Priority: 700

Package: php-pear
Pin: release a=oldstable
Pin-Priority: 700

Package: *
Pin: release a=stable
Pin-Priority: 600


Faites une mise à jour de l'inventaire des paquets

apt-get update


Maintenant, vous pouvez continuer votre installation de Centreon avec Debian Squeeze. La version 5.3 de Squeeze sera automatiquement privilégiée en fonction du fichier préférences. Pour ma part, j'ai réalisé l'installation de Centreon avec Nagios et NDOutils sans aucun problème si ce n'est quelques petits aménagements. Vous trouverez ces infos lors des prochaines mises à jour de mes articles.

debian7_centreo

blog comments powered by Disqus
 Vous êtes ici: